Currently the developers are putting their own money into JC2-MP to keep the servers online.

Please take a few seconds of your time and disable your AdBlock plugin for our website.

Ad revenue is not going to developers, it is used purely for covering our hosting costs.

 

You are also free to donate, which removes all ads from our website!

Patch 0.3 was just released! Full changelog here: https://t.co/4A50m6IKen

2 years ago

Advertisement
July 22, 2019, 06:03:50 am

Author Topic: Do all these scripts have to be updated for the new Server Version ?  (Read 1356 times)

WPK-Wolfseye

  • Full Member
  • ***
  • Posts: 209
    • View Profile
Since the update, when I run the Server, I got the following messages in the log.


http://i.imgur.com/05rbJIT.jpg


Does that mean all these scripts don't work properly anymore with the new Server version and need to be updated ? Because not all of those are already updated.


Wolfseye

Castillo

  • Donator
  • Full Member
  • *****
  • Posts: 234
    • View Profile
Re: Do all these scripts have to be updated for the new Server Version ?
« Reply #1 on: December 22, 2013, 06:48:15 pm »
They do work as far as I know, but you just need to update it.

WPK-Wolfseye

  • Full Member
  • ***
  • Posts: 209
    • View Profile
Re: Do all these scripts have to be updated for the new Server Version ?
« Reply #2 on: December 22, 2013, 06:56:45 pm »
Thanks, then I have to wait until some of them are updated. ;)


Cheers


Wolfseye

Castillo

  • Donator
  • Full Member
  • *****
  • Posts: 234
    • View Profile
Re: Do all these scripts have to be updated for the new Server Version ?
« Reply #3 on: December 22, 2013, 07:06:10 pm »
Well, that warning message is easy to fix, you go in the script which are mentioned in the console and search for: FireRegisteredEvent, then you change it to: Fire.

rAv3nzZ

  • Jr. Member
  • **
  • Posts: 79
    • View Profile
Re: Do all these scripts have to be updated for the new Server Version ?
« Reply #4 on: December 22, 2013, 07:33:38 pm »
Well, that warning message is easy to fix, you go in the script which are mentioned in the console and search for: FireRegisteredEvent, then you change it to: Fire.

Fixed these, thank you. What about Events:Register?

Mellnik

  • Donator
  • Jr. Member
  • *****
  • Posts: 80
    • View Profile
Re: Do all these scripts have to be updated for the new Server Version ?
« Reply #5 on: December 22, 2013, 07:51:24 pm »
Well, that warning message is easy to fix, you go in the script which are mentioned in the console and search for: FireRegisteredEvent, then you change it to: Fire.

Fixed these, thank you. What about Events:Register?

You can remove Events:Register completely.

rAv3nzZ

  • Jr. Member
  • **
  • Posts: 79
    • View Profile
Re: Do all these scripts have to be updated for the new Server Version ?
« Reply #6 on: December 22, 2013, 09:09:55 pm »
Well, that warning message is easy to fix, you go in the script which are mentioned in the console and search for: FireRegisteredEvent, then you change it to: Fire.

Fixed these, thank you. What about Events:Register?

You can remove Events:Register completely.

I got this now.. http://puu.sh/5Vc70.jpg

Donkie

  • Jr. Member
  • **
  • Posts: 53
    • View Profile
Re: Do all these scripts have to be updated for the new Server Version ?
« Reply #7 on: December 22, 2013, 09:17:53 pm »
Show us your current code.

rAv3nzZ

  • Jr. Member
  • **
  • Posts: 79
    • View Profile
Re: Do all these scripts have to be updated for the new Server Version ?
« Reply #8 on: December 22, 2013, 09:28:10 pm »
Okay, got it working all, so dumb  ::) Didn't removed the entire line Events:Register(TextText)